﻿!*********************************************************
!*                        模板文件                         *
!*********************************************************
protkdat D:\Creda\protk_pw.dat
pro_group_dir D:\Creda\udf

template_solidpart D:\Creda\Template\template_part.prt.1
template_mfgmold D:\Creda\Template\template_mfg.mfg.1
template_designasm D:\Creda\Template\template_asm.asm.1
start_model_dir D:\Creda\Template
drawing_setup_file D:\Creda\Template\drw_config.dtl
system_colors_file D:\Creda\ProE5.0_Start\syscol.scl
pro_plot_config_dir D:\Creda\plot_config_dir
pro_symbol_dir D:\Creda\symbol
format_setup_file D:\Creda\format
pen_table_file D:\Creda\printer.pnt
pro_format_dir D:\Creda\format
pro_colormap_path D:\Creda\ProE5.0_Start\color.map

pro_font_dir C:\WINDOWS\Fonts
trail_dir D:\temp

!*********************************************************
!*                      基本配置                         *
!*********************************************************
bell NO
display shade
datum_display NO
datum_point_display NO
display_coordinate_sys NO
axis_display NO
spin_control DRAG
pro_mf_param_dir models/mfg_params
pro_mf_tprm_dir models/tools
shade_mfg_ref_models YES
shaded_postscript_background yes
shade_windows one_window
intf3d_in_enable_layer_join yes
hlr_for_quilts yes
interface_quality 3
intf3d_in_close_open_boundaries yes
intf_in_layer_asm_dialog yes
pro_mf_cl_dir models/cl_data
save_display yes
color yes
allow_anatomic_features yes
allow_confirm_window no
default_ext_ref_scope ALL
set_trail_single_step NO
native_kbd_macros NO
open_simplified_rep_by_default NO
save_drawing_picture_file no
save_model_display shading_high
mold_vol_surf_no_auto_rollback no
default_dec_places 5
tol_mode nominal
dwg_select_across_pick_box yes
model_note_display no
dim_inactive_components never
3d_thickness_check yes
new_relation_ui yes
fix_boundaries_on_import yes
display_full_object_path no


section_color default
system_section_color blue
system_highlight_color 0 255 255
system_geometry_color red
system_letter_color blue

display_axes no
display_coord_sys no
display_planes yes
display_points no

iges_out_dwg_color yes
iges_in_dwg_line_font yes
iges_in_dwg_color yes
iges_export_dwg_views yes
dwg_export_format 14
intf_out_layer part_layer
intf_out_blanked_entities no
intf_in_dwg_view 3d_views
hole_diameter_override yes
mass_property_calculate by_request
minimum_angle_dimension 0.01
max_animation_time 0.001
tangent_edge_display solid
rename_drawings_with_object both
file_open_default_folder working_directory
intf_in_use_template_models yes
accuracy_lower_bound .000001
show_all_mold_layout_buttons yes
default_mold_base_vendor futaba_mm
chamfer_45deg_dim_text jis
visible_annotations_scope all
allow_move_view_with_move yes
show_dim_sign no
show_shaded_edges yes

! ================= new option =====================
centimeter_grid_interval .05
manikin_flexibility default
enable_flexmove_tool yes
shade_quality 6
style_surface_mesh_quality 6
pro_editor_command Microsoft Excel
autohide_external_sketch no
skip_small_surfaces no
efx_enabled no
auto_xml_on_save yes
cable_int_portions_for_clr yes
ribbon_cable_flat_direction x_axis
advanced_style_surface_edit yes
sim_pp_display_beam_thickness 5
provide_pick_message_always yes

dxf_out_drawing_scale yes
dxf_out_scale_views yes
general_undo_stack_limit 100
cpus_to_use 4
enable_3dmodelspace_browser_tab no
layer_item_highlight_limit 500
sketcher_undo_stack_limit 100
feature_create_auto_begin yes
feature_create_auto_ok yes
keep_style_items_hidden_on_exit yes
frt_enabled yes
comp_assemble_start move_then_place

!*********************************************************
!*                      语言及界面设置                         *
!*********************************************************
text_height_factor 40
ui_theme wildfire_5
menu_font 10
visible_message_lines 2
menu_translation both
dialog_translation yes
help_translation yes
msg_translation yes

!*********************************************************
!*                        隐藏配置                         *
!*********************************************************
enable_offset_fan_curve yes
autobuildz_enabled yes
web_browser_homepage about:blank
force_new_file_options_dialog no
intf2d_out_open_log_window no
intf3d_show_import_log no

!********** DEFAULT LAYER ASIGNMENTS **********

def_layer LAYER_AXIS _AXES
def_layer LAYER_CSYS _CSYS
def_layer LAYER_CURVE _CURVES
def_layer LAYER_DATUM _PLANES
def_layer LAYER_DATUM_POINT _POINTS
def_layer LAYER_QUILT _SURFS
def_layer LAYER_SURFACE _SURFS

graphics opengl

!********** SYSTEM OPTIONS **********

pro_unit_length unit_mm
pro_unit_mass unit_kilogram
ang_units ang_deg

thermo_position_hint NO_WINDOW_OVERLAP
auto_regen_views yes
retain_display_memory yes
push_txt_win_for_train no

!********** WORKING OPTIONS **********

override_store_back yes
enable_mold_extract_coloring yes

enable_absolute_accuracy yes
default_abs_accuracy 0.01
default_dim_num_digits_changes yes
default_draw_scale 1
variant_drawing_item_sizes no
sketcher_starts_in_2d NO
datum_point_tag_display NO
make_parameters_from_fmt_tables yes
parenthesize_ref_dim yes
edge_display_quality very_high
tol_display no
tolerance_class fine
tolerance_standard ISO
todays_date_note_format %yyyy-%mm-%dd
use_part_color_for_hidden_lines yes
windows_scale 1.0
spin_center_display no
spin_with_silhouettes no
spin_with_part_entities yes
start_appmgr yes
fonts_size medium
default_font fangsong_GB2312
multiple_skeletons_allowed yes
save_objects changed
step_appearance_layers_groups yes
use_8_plotter_pens yes

pen1_line_weight 3
pen2_line_weight 1
pen3_line_weight 1
pen4_line_weight 1
pen5_line_weight 1
pen6_line_weight 1
pen7_line_weight 1
pen8_line_weight 1

!********** WORKING MAPKEYS **********

mapkey comp-display-toggle-master @MAPKEY_NAMEcomp-display-toggle-master;\
mapkey(continued) @MAPKEY_LABELcomp-display-toggle-master;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Select `main_dlg_cur` `View.cb_view_mdlsetup`;\
mapkey(continued) ~ Close `main_dlg_cur` `View.cb_view_mdlsetup`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_view_compdisp`;#SET CURRENT;\
mapkey(continued) ~ Select `open_rep` `replist`1  `MASTER REP`;~ Activate `open_rep` `OK`;

mapkey draft-check @MAPKEY_NAME斜度检查;@MAPKEY_LABELdraft-check;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Info`;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Analysis.psh_analysis_surfanl`;\
mapkey(continued) ~ FocusIn `srfanal` `srfanal`;~ FocusIn `srfanal` `srfanal`;\
mapkey(continued) ~ Open `srfanal` `TypeOptionMenu`;~ FocusIn `srfanal` `srfanal`;\
mapkey(continued) ~ Close `srfanal` `TypeOptionMenu`;\
mapkey(continued) ~ Select `srfanal` `TypeOptionMenu`1  `DraftCheck`;\
mapkey(continued) ~ Open `srfanal` `DraftSelSrf_menu`;~ FocusIn `srfanal` `srfanal`;\
mapkey(continued) ~ Close `srfanal` `DraftSelSrf_menu`;\
mapkey(continued) ~ Select `srfanal` `DraftSelSrf_menu`1  `PART`;\
mapkey(continued) ~ Select `srfanal` `DraftOpt_rad`1  `2`;\
mapkey(continued) ~ Activate `srfanal` `DraftAngle_pan` `5.000000`;\
mapkey(continued) ~ Activate `srfanal` `DraftSelPlane_btn`;

mapkey measure-dtm-dtm @MAPKEY_NAMEmeasure-dtm-dtm;\
mapkey(continued) @MAPKEY_LABELmeasure-dtm-dtm;~ Select `main_dlg_cur` `MenuBar1`1  `Info`;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Analysis.psh_analysis_measure`;\
mapkey(continued) ~ Open `measure` `MsrTypeOptions`;~ Close `measure` `MsrTypeOptions`;\
mapkey(continued) ~ Select `measure` `MsrTypeOptions`1  `Distance`;\
mapkey(continued) ~ Open `measure` `DistFromOptions`;~ Close `measure` `DistFromOptions`;\
mapkey(continued) ~ Select `measure` `DistFromOptions`1  `Plane`;\
mapkey(continued) ~ Open `measure` `DistToOptions`;~ Close `measure` `DistToOptions`;\
mapkey(continued) ~ Select `measure` `DistToOptions`1  `Plane`;\
mapkey(continued) ~ Activate `measure` `DistFromSelect`;

mapkey color_surf @MAPKEY_NAMEcolor_surf;@MAPKEY_LABELcolor_surf;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Select `main_dlg_cur` `View.cb_view_mdlsetup`;\
mapkey(continued) ~ Close `main_dlg_cur` `View.cb_view_mdlsetup`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_view_appearances`;\
mapkey(continued) ~ Open `appearance_mgr` `OSelectType`;~ Close `appearance_mgr` `OSelectType`;\
mapkey(continued) ~ Select `appearance_mgr` `OSelectType`1  `Surfaces`;#QUIT;\
mapkey(continued) ~ Activate `appearance_mgr` `color3.1`1;


!********* DRAWING MAPKEYS ************

mapkey va #VIEWS;#ADD VIEW;
mapkey vc #VIEWS;#ADD VIEW;#FULL VIEW;#SECTION;#DONE;#DONE;
mapkey ve #VIEWS;#DELETE VIEW;
mapkey vm #VIEWS;#MOVE VIEW;
mapkey bm @MAPKEY_NAME换图框;#SHEETS;#FORMAT;#ADD/REPLACE;
mapkey vv @MAPKEY_NAME修改视图;#VIEWS;#MODIFY VIEW;
mapkey tt @MAPKEY_NAME输入文字;#TABLE;#ENTER TEXT;
mapkey te @MAPKEY_NAME修改文字;~ Select `main_dlg_cur` `MenuBar1`1  `Edit`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Edit.psh_dwg_props`;
mapkey tm @MAPKEY_NAME尺寸前加M;~ Select `main_dlg_cur` `MenuBar1`1  `Edit`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Edit.psh_dwg_props`;\
mapkey(continued) ~ Select `mod_dim_asynch` `tab_main`1  `lay_dim_text`;\
mapkey(continued) ~ FocusIn `mod_dim_asynch` `inp_dim_prefix`;\
mapkey(continued) ~ Input `mod_dim_asynch` `inp_dim_prefix` `M`;\
mapkey(continued) ~ Update `mod_dim_asynch` `inp_dim_prefix` `M`;\
mapkey(continued) ~ FocusOut `mod_dim_asynch` `inp_dim_prefix`;\
mapkey(continued) ~ Activate `mod_dim_asynch` `psh_ok`;
mapkey da @MAPKEY_NAME尺寸前加φ;~ Select `main_dlg_cur` `MenuBar1`1  `Edit`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Edit.psh_dwg_props`;\
mapkey(continued) ~ Select `mod_dim_asynch` `tab_main`1  `lay_dim_text`;\
mapkey(continued) ~ FocusIn `mod_dim_asynch` `inp_dim_prefix`;\
mapkey(continued) ~ Input `mod_dim_asynch` `inp_dim_prefix` `φ`;\
mapkey(continued) ~ Update `mod_dim_asynch` `inp_dim_prefix` `φ`;\
mapkey(continued) ~ FocusOut `mod_dim_asynch` `inp_dim_prefix`;\
mapkey(continued) ~ Activate `mod_dim_asynch` `psh_ok`;


!********** function key MAPKEYS **********

mapkey $F1 @MAPKEY_NAME打开组装图;~ Select `main_dlg_cur` `MenuBar1`1  `File`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;~ Activate `main_dlg_cur` `File.psh_open`;\
mapkey(continued) ~ Open `file_open` `Type`;~ Close `file_open` `Type`;\
mapkey(continued) ~ Select `file_open` `Type`1  `db_1`;
mapkey $F2 @MAPKEY_NAME打开零件图;~ Select `main_dlg_cur` `MenuBar1`1  `File`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;~ Activate `main_dlg_cur` `File.psh_open`;\
mapkey(continued) ~ Open `file_open` `Type`;~ Close `file_open` `Type`;\
mapkey(continued) ~ Select `file_open` `Type`1  `db_2`;
mapkey $F3 @MAPKEY_NAME打开目录中的绘图;~ Select `main_dlg_cur` `MenuBar1`1  `File`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;~ Activate `main_dlg_cur` `File.psh_open`;\
mapkey(continued) ~ Open `file_open` `Type`;~ Close `file_open` `Type`;\
mapkey(continued) ~ Select `file_open` `Type`1  `db_4`;

mapkey $F7 ~ Select `main_dlg_cur` `MenuBar1`1  `Utilities`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Utilities.psh_params`;\
mapkey(continued) ~ FocusIn `relation_dlg` `ParamsPHLay.ParTable`;
mapkey $F8 @MAPKEY_NAME给模型上色;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_appearances`;
mapkey $F9 ~ Select `main_dlg_cur` `MenuBar1`1  `File`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;~ Activate `main_dlg_cur` `File.psh_print`;\
mapkey(continued) ~ Activate `print` `Configure`;~ Open `print_config` `o_size`;\
mapkey(continued) ~ Close `print_config` `o_size`;~ Select `print_config` `o_size`1  `A4`;\
mapkey(continued) ~ Select `print_config` `r_opt_ctrl`1  `Model_sheet`;\
mapkey(continued) ~ Open `print_config` `o_plot`;~ Close `print_config` `o_plot`;\
mapkey(continued) ~ Select `print_config` `o_plot`1  `Full Plot`;\
mapkey(continued) ~ Activate `print_config` `OK`;~ Activate `print` `OK`;
mapkey $F10 @MAPKEY_NAME去除剖切线;#SPACING;#DOUBLE;#DOUBLE;#DOUBLE;#DOUBLE;\
mapkey(continued) #DOUBLE;#DOUBLE;#DOUBLE;#DOUBLE;#DOUBLE;#DOUBLE;#NEXT XSEC;

mapkey $F12 @MAPKEY_NAMEpurge;@MAPKEY_LABELpurge;\
mapkey(continued) @SYSTEMdel *.log.* *.inf. *.lst.* *.crc ~ *.acc *.ger *.ers *.m_p *.idx \
mapkey(continued) *.bak *.bkl *.bk2 current_session.pro ~ trail.txt.* *.usr.* *.sec.* std.out \
mapkey(continued) *.err acad.lsp *.pls *.als *.xpr *.xas;

!*********  MAPKEYS ************

mapkey !revolve_p @MAPKEY_NAME加材料_旋转;@MAPKEY_LABELProtrusion Revolve;\
mapkey(continued) #FEATURE;#CREATE;#SOLID;#PROTRUSION;#REVOLVE;#DONE;
mapkey !revolve_cut @MAPKEY_NAME切割_旋转;@MAPKEY_LABELCut Revolve;#FEATURE;\
mapkey(continued) #CREATE;#SOLID;#CUT;#REVOLVE;#DONE;
mapkey !revolve_s @MAPKEY_NAME面_旋转;@MAPKEY_LABELSurface Revolve;#FEATURE;\
mapkey(continued) #CREATE;#SURFACE;#New;#REVOLVE;#DONE;
mapkey !regenerate @MAPKEY_NAME再生;@MAPKEY_LABELRegenerate;#REGENERATE;\
mapkey(continued) #AUTOMATIC;#CURRENT VALS;#CURRENT VALS;#CURRENT VALS;#CURRENT VALS;\
mapkey(continued) #CURRENT VALS;#CURRENT VALS;#CURRENT VALS;#CURRENT VALS;#CURRENT VALS;\
mapkey(continued) #CURRENT VALS;#CURRENT VALS;#CURRENT VALS;#CURRENT VALS;#CURRENT VALS;
mapkey !curve_rad @MAPKEY_NAME曲线_曲率半径;@MAPKEY_LABELcurve rad;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_geometry`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_geometry`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_model`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_model`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_geometry`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_geometry`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_geometry_radius`;
mapkey !draft @MAPKEY_NAME拔模斜度;@MAPKEY_LABELdraft;#FEATURE;#CREATE;#SOLID;\
mapkey(continued) #TWEAK;#DRAFT;
mapkey !offset @MAPKEY_NAME偏距;@MAPKEY_LABELoffset;#FEATURE;#CREATE;#SOLID;\
mapkey(continued) #TWEAK;#OFFSET;
mapkey measure_diameter @MAPKEY_NAME测量直径;@MAPKEY_LABELmeasure_diameter;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_measure_diameter`;
mapkey measure_angle_plane-plane @MAPKEY_NAME测量平面角度;\
mapkey(continued) @MAPKEY_LABELmeasure_angle_plane-plane;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_measure_angle`;
mapkey !round @MAPKEY_NAME倒圆角;@MAPKEY_LABELRound;#FEATURE;#CREATE;#SOLID;\
mapkey(continued) #ROUND;
mapkey !chamfer @MAPKEY_NAME倒角;@MAPKEY_LABELChamfer;#FEATURE;#CREATE;#SOLID;\
mapkey(continued) #CHAMFER;#EDGE;
mapkey _cavity_side @MAPKEY_NAME显示定模侧;@MAPKEY_LABEL_cavity_sid;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `simplified rep`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `cavity` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey _all @MAPKEY_NAME显示主表示;@MAPKEY_LABEL_all;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `simplified rep`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `master rep` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey _wireframe @MAPKEY_NAME模板线框表达;@MAPKEY_LABELwireframe;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `display style`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `vis0001` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey _no_wireframe @MAPKEY_NAME取消线框表达;@MAPKEY_LABELno_wireframe;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `display style`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `master style` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey _core_side @MAPKEY_NAME显示动模侧;@MAPKEY_LABELcore_side;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `simplified rep`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `core` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey __rg @MAPKEY_NAME重定义组件;@MAPKEY_LABEL_rg;#REGENERATE;#AUTOMATIC;#ENTER;\
mapkey(continued) #SELECT ALL;#DONE SEL;
mapkey _distance @MAPKEY_NAME测量元体间距离;@MAPKEY_LABELdistance;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_measure_distance`;
mapkey _curve_length @MAPKEY_NAME测量曲线长度;@MAPKEY_LABELcurve_length;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_measure_length`;
mapkey _sweep @MAPKEY_NAME加材料_扫描;@MAPKEY_LABELsweep;#FEATURE;#CREATE;#SOLID;\
mapkey(continued) #PROTRUSION;#SWEEP;#DONE;
mapkey extrude_p @MAPKEY_NAME加材料_拉伸;@MAPKEY_LABELProtrusion Extrude;#FEATURE;\
mapkey(continued) #CREATE;#SOLID;#PROTRUSION;#EXTRUDE;#DONE;
mapkey extrude_cut @MAPKEY_NAME切割_拉伸;@MAPKEY_LABELCut extrude;#FEATURE;\
mapkey(continued) #CREATE;#SOLID;#CUT;#EXTRUDE;#DONE;
mapkey extrude_s @MAPKEY_NAME面_拉伸;@MAPKEY_LABELSurfasce Extrude;#FEATURE;\
mapkey(continued) #CREATE;#SURFACE;#New;#EXTRUDE;#DONE;
mapkey _sweep_cut @MAPKEY_NAME切割_扫描;@MAPKEY_LABELsweep_cut;#FEATURE;#CREATE;\
mapkey(continued) #SOLID;#CUT;#SWEEP;#DONE;
mapkey _sweep_surface @MAPKEY_NAME曲面_扫描;@MAPKEY_LABELsweep_surface;#FEATURE;\
mapkey(continued) #CREATE;#SURFACE;#New;#SWEEP;#DONE;
mapkey _surface_copy @MAPKEY_NAME曲面_复制;@MAPKEY_LABELsurface_copy;#FEATURE;\
mapkey(continued) #CREATE;#SURFACE;#New;#COPY;#DONE;
mapkey _fillet_surface @MAPKEY_NAME曲面_园角;@MAPKEY_LABELfillet_surface;\
mapkey(continued) #FEATURE;#CREATE;#SURFACE;#New;#FILLET;#DONE;

mapkey _eyebolt @MAPKEY_NAME吊模螺丝孔;@MAPKEY_LABELeyebolt;#FEATURE;#CREATE;\
mapkey(continued) #USER DEFINED;~ Open `file_open` `Ph_path.Path`;\
mapkey(continued) ~ Close `file_open` `Ph_path.Path`;\
mapkey(continued) ~ Select `file_open` `Ph_path.Path`1  `D:`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `ptc`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `ptc`;\
mapkey(continued) ~ Activate `file_open` `Ph_list.Filelist`1  `ptc`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `Template`;\
mapkey(continued) ~ Activate `file_open` `Ph_list.Filelist`1  `Template`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `eyebolt.gph`;\
mapkey(continued) ~ Activate `file_open` `Open`;


mapkey !cut_asm @MAPKEY_NAME组合面切割;@MAPKEY_LABELquilt cut;#FEATURE;#CREATE;\
mapkey(continued) #SOLID;#CUT;#USE QUILT;#DONE;
mapkey !cut_revolve_asm @MAPKEY_NAME组合面加材料;@MAPKEY_LABELquilt_protrusion;\
mapkey(continued) #FEATURE;#CREATE;#SOLID;#PROTRUSION;#USE QUILT;#DONE;

mapkey _boundaries @MAPKEY_NAME面_边界;@MAPKEY_LABELsur_bound;#FEATURE;#CREATE;\
mapkey(continued) #SURFACE;#NEW;#ADVANCED;#DONE;#BOUNDARIES;#DONE;#DONE;
mapkey _datum @MAPKEY_NAME基准符号;#FEATURE;#CREATE;#USER DEFINED;\
mapkey(continued) ~ Open `file_open` `Ph_path.Path`;~ Close `file_open` `Ph_path.Path`;\
mapkey(continued) ~ Select `file_open` `Ph_path.Path`1  `D:`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `ptc`;\
mapkey(continued) ~ Activate `file_open` `Ph_list.Filelist`1  `ptc`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `Template`;\
mapkey(continued) ~ Activate `file_open` `Ph_list.Filelist`1  `Template`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `datum.gph`;\
mapkey(continued) ~ Activate `file_open` `Open`;#DONE;#DONE;#DONE;
mapkey _csys @MAPKEY_NAME复制坐标系;#FEATURE;#CREATE;#DATA SHARING;#COPYGEOM;\
mapkey(continued) ~ Select `Odui_Dlg_01` `odui_steps`1  `MISC REFS`;\
mapkey(continued) ~ Activate `Odui_Dlg_01` `redefine`;\
mapkey(continued) ~ Activate `gcpy_misc_refs` `CBCoordSys`1 ;#SEL BY MENU;\
mapkey(continued) ~ Move `selspecdlg0` `selspecdlg0`2 25.955671 11.681877 ;\
mapkey(continued) ~ Resize `selspecdlg0` `selspecdlg0`4 25.955671 11.681877 9.601043 13.835724 \
mapkey(continued) ;~ Select `selspecdlg0` `NameList`1  `CSYS::T25::()::0`;\
mapkey(continued) ~ Activate `selspecdlg0` `SelectButton`;#DONE SEL;\
mapkey(continued) ~ Activate `gcpy_misc_refs` `Ok`;~ Activate `Odui_Dlg_01` `okay`;\
mapkey(continued) #DONE/RETURN;#DONE;


mapkey !surface_trim @MAPKEY_NAMESurface trim;@MAPKEY_LABELsurface_trim;\
mapkey(continued) #FEATURE;#CREATE;#SURFACE;#TRIM;;
mapkey !surface_merge @MAPKEY_NAMESurface Merge;@MAPKEY_LABELsurface_merge;\
mapkey(continued) #FEATURE;#CREATE;#SURFACE;#MERGE;;
mapkey !properties @MAPKEY_NAME属性;@MAPKEY_LABELproperties;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Edit`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Edit.psh_dwg_props`;
mapkey !diameter @MAPKEY_NAME加直径标记;@MAPKEY_LABELDia;\
mapkey(continued) ~ Timer `UI Desktop` `UI Desktop` `popupMenuRMBTimerCB`;\
mapkey(continued) ~ Command `ProCmdEditProperties` ;\
mapkey(continued) ~ Select `mod_dim_new_asynch` `tab_main`1  `lay_display`;\
mapkey(continued) ~ Activate `mod_dim_new_asynch` `mod_dim_new_asynch`;\
mapkey(continued) ~ FocusIn `mod_dim_new_asynch` `inp_dim_prefix`;\
mapkey(continued) ~ FocusOut `mod_dim_new_asynch` `inp_dim_prefix`;\
mapkey(continued) ~ Activate `mod_dim_new_asynch` `psh_sym_palette`;\
mapkey(continued) ~ Activate `sympalette` `sp_110`;\
mapkey(continued) ~ FocusOut `mod_dim_new_asynch` `inp_dim_prefix`;\
mapkey(continued) ~ Activate `mod_dim_new_asynch` `psh_ok`;

mapkey _del_corner @MAPKEY_NAME避空角;@MAPKEY_LABELdel_corner;\
mapkey(continued) ~ Command `PushButtonAct78`;
mapkey _datum @MAPKEY_NAME基准符号;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshUserDefined`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `datum.gph`;\
mapkey(continued) ~ Activate `file_open` `Open`;#DONE;
mapkey _eyebolt @MAPKEY_NAME吊模螺丝孔;@MAPKEY_LABELeyebolt;\
mapkey(continued) ~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshUserDefined`;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `eyebolt.gph`;\
mapkey(continued) ~ Activate `file_open` `Open`;
mapkey pu @MAPKEY_NAMEpurge;@MAPKEY_LABELpurge;@SYSTEMpurge;

mapkey er @MAPKEY_NAME清除不显示文件;~ Select `main_dlg_cur` `MenuBar1`1  `File`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Select `main_dlg_cur` `File.cb_file_erase`;\
mapkey(continued) ~ Close `main_dlg_cur` `File.cb_file_erase`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_erase_not_disp`;\
mapkey(continued) ~ Activate `file_erase_nd` `ok_pb`;
mapkey df @MAPKEY_NAME修改;#MODIFY;
mapkey rg @MAPKEY_NAME再生;#REGENERATE;#AUTOMATIC;#CURRENT VALS;
mapkey wq @MAPKEY_NAME线框表示;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Select `main_dlg_cur` `View.ExplodeCascadeBtn`;\
mapkey(continued) ~ Close `main_dlg_cur` `View.ExplodeCascadeBtn`;\
mapkey(continued) ~ Select `main_dlg_cur` `View.StyleCascadeBtn`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `View.StyleCascadeBtn`;\
mapkey(continued) ~ Activate `main_dlg_cur` `WireframeBtn`;
mapkey we @MAPKEY_NAME取消线框表示;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Select `main_dlg_cur` `View.StyleCascadeBtn`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `View.StyleCascadeBtn`;\
mapkey(continued) ~ Activate `main_dlg_cur` `ShadedBtn`;
mapkey wa @MAPKEY_NAME模板线框表示;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `display style`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `vis0001` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey wd @MAPKEY_NAME取消模板线框表示;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `display style`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `master style` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey cv @MAPKEY_NAME前模简化表示;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `simplified rep`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `cavity` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey cr @MAPKEY_NAME后模简化表示;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `simplified rep`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `core` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey ca @MAPKEY_NAME主表示;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.push_view_vistool`;\
mapkey(continued) ~ Select `visual_dlg0` `RadioSelApplMgr`1  `simplified rep`;\
mapkey(continued) ~ Select `visual_dlg0` `Table`2  `master rep` `name_column`;\
mapkey(continued) ~ Select `visual_dlg0` `DisplayCascadeBtn`;\
mapkey(continued) ~ Close `visual_dlg0` `DisplayCascadeBtn`;~ Activate `visual_dlg0` `SetBtn`;\
mapkey(continued) ~ Activate `visual_dlg0` `CloseBtn`;
mapkey ce @MAPKEY_NAME层;~ Select `main_dlg_cur` `MenuBar1`1  `View`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `View.psh_view_lyrs`1;
mapkey dr @MAPKEY_NAME拔模;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshDraft`;
mapkey rr @MAPKEY_NAME倒圆角;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshRound`;
mapkey rs @MAPKEY_NAME曲面倒圆角;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_surface`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_surface`;\
mapkey(continued) ~ Activate `main_dlg_cur` `pshSurfFillet`;
mapkey cf @MAPKEY_NAME倒角;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_chamfer`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_chamfer`;\
mapkey(continued) ~ Activate `main_dlg_cur` `pshEdgeChamfer`;
mapkey za @MAPKEY_NAME拉伸_加材料;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshFtExtrude`;
mapkey zc @MAPKEY_NAME拉伸_切割;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshFtExtrude`;\
mapkey(continued) ~ Activate `main_dlg_cur` `maindashInst0.remove_material_cb`1;
mapkey zs @MAPKEY_NAME拉伸_曲面;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshFtExtrude`;\
mapkey(continued) ~ Select `main_dlg_cur` `maindashInst0.solid_surf_rg`1  `Surface`;
mapkey fs @MAPKEY_NAME偏距;@MAPKEY_LABELoffset;#FEATURE;#CREATE;#SOLID;#TWEAK;\
mapkey(continued) #OFFSET;
mapkey xz @MAPKEY_NAME旋转_加材料;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshFtRevolve`;
mapkey xc @MAPKEY_NAME旋转_切割;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshFtRevolve`;\
mapkey(continued) ~ Activate `main_dlg_cur` `maindashInst0.remove_material_cb`1;
mapkey xs @MAPKEY_NAME旋转_曲面;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshFtRevolve`;\
mapkey(continued) ~ Select `main_dlg_cur` `maindashInst0.solid_surf_rg`1  `Surface`;
mapkey th @MAPKEY_NAME曲面替换;@MAPKEY_LABELReplace;#FEATURE;#CREATE;#SOLID;\
mapkey(continued) #TWEAK;#REPLACE;
mapkey sd @MAPKEY_NAME扫描_加材料;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_blend`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_blend`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_blend`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_blend`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_helic_sweep`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_helic_sweep`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_blend`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_blend`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_sweep`;~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_sweep`;\
mapkey(continued) ~ Activate `main_dlg_cur` `pshProtSwpSld`;
mapkey st @MAPKEY_NAME扫描_切割;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_sweep`;~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_sweep`;\
mapkey(continued) ~ Activate `main_dlg_cur` `pshCutSwpSld`;
mapkey ss @MAPKEY_NAME扫描_曲面;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_blend`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_blend`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_sweep`;~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_sweep`;\
mapkey(continued) ~ Activate `main_dlg_cur` `pshSurfSweep`;
mapkey rw @MAPKEY_NAME螺纹修饰;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Select `main_dlg_cur` `Insert.cb_cosmetic`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Insert.cb_cosmetic`;\
mapkey(continued) ~ Activate `main_dlg_cur` `pshThread`;
mapkey fa @MAPKEY_NAME平整面;~ Select `main_dlg_cur` `MenuBar1`1  `Edit`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;~ Activate `main_dlg_cur` `Edit.pshFtFill`;
mapkey cc @MAPKEY_NAME曲面_复制;@MAPKEY_LABELsurface_copy;#FEATURE;#CREATE;\
mapkey(continued) #SURFACE;#New;#COPY;#DONE;
mapkey bb @MAPKEY_NAME边界曲面;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshFtBndBlend`;
mapkey tr @MAPKEY_NAME曲面剪切;#FEATURE;#CREATE;#SURFACE;#TRIM;
mapkey hb @MAPKEY_NAMESurface Merge;@MAPKEY_LABELsurface_merge;#FEATURE;\
mapkey(continued) #CREATE;#SURFACE;#MERGE;;
mapkey sc @MAPKEY_NAME组合面切割;@MAPKEY_LABELquilt cut;#FEATURE;#CREATE;#SOLID;\
mapkey(continued) #CUT;#USE QUILT;#DONE;
mapkey sa @MAPKEY_NAME组合面加材料;@MAPKEY_LABELquilt_protrusion;#FEATURE;#CREATE;\
mapkey(continued) #SOLID;#PROTRUSION;#USE QUILT;#DONE;

mapkey sf @MAPKEY_NAME曲面转换;#FEATURE;#CREATE;#SURFACE;#TRANSFORM;
mapkey et @MAPKEY_NAME曲面延拓;#FEATURE;#CREATE;#SURFACE;#EXTEND;
mapkey yh @MAPKEY_NAME用户定义特征;~ Select `main_dlg_cur` `MenuBar1`1  `Insert`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Insert.pshUserDefined`;
mapkey rf #FEATURE;#REDEFINE;
mapkey gx @MAPKEY_NAME关系;#RELATIONS;
mapkey as @MAPKEY_NAME测量距离;~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_measure_distance`;
mapkey ad @MAPKEY_NAME测量直径;~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_model`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_model`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_measure_diameter`;
mapkey aa @MAPKEY_NAME测量角度;~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_model`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_model`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_measure`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_measure_angle`;
mapkey zx @MAPKEY_NAME拔模分析;~ Select `main_dlg_cur` `MenuBar1`1  `Analysis`;\
mapkey(continued) ~ Select `main_dlg_cur` `Analysis.cas_na_geometry`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Close `main_dlg_cur` `Analysis.cas_na_geometry`;\
mapkey(continued) ~ Activate `main_dlg_cur` `psh_na_geometry_draft_check`;
mapkey cz @MAPKEY_NAME草绘参照;~ Select `main_dlg_cur` `MenuBar1`1  `Sketch`;\
mapkey(continued) ~ Close `main_dlg_cur` `MenuBar1`;\
mapkey(continued) ~ Activate `main_dlg_cur` `Sketch.pshReferences`;
mapkey cx @MAPKEY_NAME草绘中心线;\
mapkey(continued) ~ Activate `main_dlg_cur` `tbLines` `ProCmdSketCenterline.tbLine`;\
mapkey(continued) ~ Activate `main_dlg_cur` `ProCmdSketCenterline.tbLine`1;
mapkey cs @MAPKEY_NAME草绘约束;\
mapkey(continued) ~ Activate `main_dlg_cur` `ProCmdSketConstrain.sket_r`1;
mapkey ct @MAPKEY_NAME草绘裁剪;\
mapkey(continued) ~ Activate `main_dlg_cur` `tbTrim` `ProCmdEditCorner.tbTrim`;\
mapkey(continued) ~ Activate `main_dlg_cur` `ProCmdEditCorner.tbTrim`1;
mapkey !flat @MAPKEY_NAMEsurface flat;@MAPKEY_LABELflat;#FEATURE;#CREATE;\
mapkey(continued) #SURFACE;#SURFACE;#NEW;#FLAT;#DONE;

mapkey _datum_cv @MAPKEY_NAME基准符号_定模;@MAPKEY_LABELdatum symbol_cav;\
mapkey(continued) ~ Command `ProCmdUserDefined` ;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `datum_cv.gph`;\
mapkey(continued) ~ Activate `file_open` `Open`;
mapkey _datum_cr @MAPKEY_NAME基准符号_动模;@MAPKEY_LABELdatum symbol_core;\
mapkey(continued) ~ Command `ProCmdUserDefined` ;\
mapkey(continued) ~ Select `file_open` `Ph_list.Filelist`1  `datum_cr.gph`;\
mapkey(continued) ~ Activate `file_open` `Open`;

mapkey !screw_hole @MAPKEY_NAMEscrew_hole;@MAPKEY_LABELscrew_hole;\
mapkey(continued) ~ Command `PushButtonAct72`;
mapkey !replace @MAPKEY_NAME曲面替换;@MAPKEY_LABELReplace;\
mapkey(continued) ~ Command `PushButtonAct73`;
























